export const REGEX_RULE = {
    number: /^(\s*|\d+)$/,
    numberLetter: /^(\s*|[A-Za-z0-9]*$)$/,
    name: /^[a-zA-Z\-'.,()'"‘’`/\\, ]+$/,
    password:
      /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[$!%*?\]&[@#"’()+,-./:;'<=>[^_`{|}~\\])[A-Za-z\d$!%*?\]&[@#"’()+,-./:;'<=>[^_`{|}~\\]{8,}$/,
    email:
      /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/,
    youtube:
      /(?:youtube(?:-nocookie)?\.com\/(?:[^/\n\s]+\/\S+\/|(?:v|vi|e(?:mbed)?)\/|\S*?[?&]v=|\S*?[?&]vi=)|youtu\.be\/)([a-zA-Z0-9_-]{11})/,
};